/**
 * ProjectLaogai
 *
 * Copyright 2019  <seil0@mosad.xyz>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 */

package org.mosad.seil0.projectlaogai.uicomponents

import android.content.Context
import android.util.AttributeSet
import android.widget.LinearLayout
import android.widget.TextView
import org.mosad.seil0.projectlaogai.R

class MensaDayCardView @JvmOverloads constructor(context: Context, attrs: AttributeSet? = null) : androidx.cardview.widget.CardView(context, attrs){

    private var linLayoutMensaDay: LinearLayout
    private var txtViewDayHeading: TextView

    init {
        inflate(context, R.layout.mensaday_cardview,this)

        linLayoutMensaDay = findViewById(R.id.linLayout_MensaDay)
        txtViewDayHeading = findViewById(R.id.txtView_DayHeading)

        // workaround to prevent a white border
        //this.setBackgroundColor(Color.TRANSPARENT)
    }

    fun getLinLayoutMensaDay(): LinearLayout {
        return linLayoutMensaDay
    }

    fun setDayHeading(heading: String) {
        txtViewDayHeading.text = heading
    }

}